/* pop.c */
/* calculate level population of molecules */
/* new made 92/09/02 */
/* some changes according to the changes in rtmodel.c 92/10/02 */
/* 03/01/04 malloc.h -> stdlib.h */

#include <stdio.h>
#include <math.h>
#include <stdlib.h>

#include "const.h"         /* physical constants */
#include "macro.h"         /* common macro functions */

#include "mol.h"
#include "model.h"
#include "rt.h"

void Pop(x, y, z, nH2, abn, tk, v, dvdr, mol, mode)
/* return temperature and level populations. */
   double x, y, z;         /* position */
   double nH2;             /* H2 density */
   double abn;             /* abundance of the molecule */
   double tk;              /* kinetic temperature */
   double v;               /* radial velocity */
   double dvdr;            /* dv / dr */
   MOLECULE *mol;          /* molecular data */
   int mode;               /* 0: LTE, 1: non-LTE */
{
   MolStat(mol, nH2, abn, tk);
   if (mode != LTE) RateEq(x, y, z, tk, v, dvdr, mol);
} /* Pop() */

/* end of pop.c */
